Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Novice
137 Views

Quartus prime ver 20.1's Nios sbt not working

Jump to solution

Hi ,

I have windows 7 , i have installed Quartus Prime 20.1 and with it Nios sbt for eclipse  . The quartus works fine but Nios is totally unresponsive , even Nios Command Shell does not launch ???

What can be the problem ???

 

 

 

 

0 Kudos

Accepted Solutions
Highlighted
20 Views

Hi @ZKhan1,

As the possible solution has been provided and good to know that you have reverted to previous version and it is working now, hence we would be closing the thread. If you have further queries, Please do post a response in the next 15 days.

After 15 days, this thread will be transitioned to community support. The community users will be able to help you with your follow-up questions.

 

Warm Regards

View solution in original post

7 Replies
Highlighted
Novice
109 Views

So this means i have to revert back ver 16.0 , this version of Quartus ver 20.1 is broken ???

 

or is there is a limitation in ver20.1 that its Nios SBT wont work in ver 20.1 ? 

0 Kudos
Highlighted
Beginner
82 Views

you mean eclipse SDK.  From Quartus 19.1(if i remember correctly) users need to install nios SDK separately.  you can find a link in the download website . it will show instructions on how to install nios SDK separately.

0 Kudos
Highlighted
Novice
68 Views

Yes but the download page does not show any link to download NIOS EDS .  It just says :

** Nios II EDS on Windows requires Ubuntu 18.04 LTS on Windows Subsystem for Linux (WSL), which
    requires a manual installation.
** Nios II EDS requires you to install an Eclipse IDE manually.
 
on this page : 
 
 
0 Kudos
Highlighted
Beginner
63 Views

Hi,

 

From the link, you posted in the last reply. you can browse into "Installation FAQ". there it mentioned what to do.

"Is the Nios® II Software Build Tools (SBT) for Eclipse included in the full installation of the Intel® Quartus® Prime Pro Edition software starting from version 19.1?".

https://www.intel.com/content/altera-www/global/en_us/index/support/support-resources/knowledge-base...

follow this link and steps.

Regards,

Anil

0 Kudos
Highlighted
43 Views

Hi @ZKhan1,

 

@anilinintel is correct where for version 19.1 you would need to separately download the eclipse for it to work.

Please do try out the steps mention in the link above and let us know if you have any issues with Nios SBT after that.

 

Warm regards.

0 Kudos
Highlighted
Novice
40 Views

Hi ,

No i havent tried to install SBT for Nios ver 20.1 yet , but that sounds like the correct method .

I reverted back to ver 16.0 , 

 

0 Kudos
Highlighted
21 Views

Hi @ZKhan1,

As the possible solution has been provided and good to know that you have reverted to previous version and it is working now, hence we would be closing the thread. If you have further queries, Please do post a response in the next 15 days.

After 15 days, this thread will be transitioned to community support. The community users will be able to help you with your follow-up questions.

 

Warm Regards

View solution in original post